Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.ncpext
Class NCPExtensionDirContext

    java.lang.Object
      |
      +--com.sun.jndi.toolkit.ctx.PartialCompositeContext
            |
            +--com.sun.jndi.toolkit.ctx.ComponentContext
                  |
                  +--com.sun.jndi.toolkit.ctx.AtomicContext
                        |
                        +--com.sun.jndi.toolkit.ctx.PartialCompositeDirContext
                              |
                              +--com.sun.jndi.toolkit.ctx.ComponentDirContext
                                    |
                                    +--com.novell.service.ncpext.NCPExtensionDirContext

public class NCPExtensionDirContext
extends com.sun.jndi.toolkit.ctx.ComponentDirContext
implements NCPExtension, javax.naming.Referenceable

Represents an NCPExtension loaded on a NetWare server. An NCPExtensionDirContext implements the NCPExtension interface and has one attribute, NCPExtensionInfo, with a single value that is an instance of NCPExtensionInfoImpl with attribute ID equal to the static string value in NCPExtensionStrings.NCPEXTENSION_ATTRIBUTE_ID.

See Also:
  `NCPExtension`, `NCPExtensionInfo`, `NCPExtensionInfoImpl`

Method Summary
`byte[]` | `send(byte[] request, int maxReplyLength)` Sends a request to an NCP Extension.

Methods inherited from class com.sun.jndi.toolkit.ctx.PartialCompositeDirContext
`bind, bind, createSubcontext, createSubcontext, getAttributes, getAttributes, getAttributes, getAttributes, getSchema, getSchema, getSchemaClassDefinition, getSchemaClassDefinition, modifyAttributes, modifyAttributes, modifyAttributes, modifyAttributes, rebind, rebind, search, search, search, search, search, search, search, search`

Methods inherited from class com.sun.jndi.toolkit.ctx.PartialCompositeContext
`bind, bind, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, rename, rename, resolveToClass, resolveToClass, unbind, unbind`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### send

    public byte[] send(byte[] request,
                       int maxReplyLength)
                throws com.novell.service.jncp.NSIException

  Sends a request to an NCP Extension. Request data for the NCP Extension must be packed into the request byte array. Any return data will be contained in the return byte array.
  Specified by:
    send in interface NCPExtension
  Parameters:
    `request` - The byte array containing request data.
    `maxReplyLength` - The maximum number of bytes the user wants returned.
  Returns:
    A byte array containing reply data.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD